Skip to content

Restore a backup to a new volume

POST/volumes/{name}/restore

Materialises a backup into the new volume {name}. 409 when {name} already exists (restore never overwrites), 404 when the backup is gone.

path parameters
object
namestringrequired

Name of the new volume to create.

Request bodyapplication/json
RestoreVolReq
fromstring

Backup id to restore.

Responses
201 CreatedCreated
Volume
attached_tostring
created_atstringdate-time
encryptedboolean
host_idstring
key_idstring
namestring
size_bytesintegerint64
400 Bad requestBad Request
ErrorResponse
codestring
errorstring
404 Not foundNot Found
ErrorResponse
codestring
errorstring
409 ConflictConflict
ErrorResponse
codestring
errorstring
501 Not Implemented
ErrorResponse
codestring
errorstring
Authentication
bearerAuthHTTP bearer. Daemon API key. Omit on a keyless loopback daemon.
Request
POST/volumes/{name}/restore
cURL
curl '/volumes/{name}/restore' \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{}'
POST/volumes/{name}/restore
Request
Path
Authorization
curl '/volumes/{name}/restore' \
  -X POST \
  -H 'Content-Type: application/json' \
  -d '{}'
Response
Send a request to see the response.
Response
201 Created
{
  "attached_to": "string",
  "created_at": "2026-01-02T15:04:05Z",
  "encrypted": false,
  "host_id": "string",
  "key_id": "string",
  "name": "string",
  "size_bytes": 0
}
Was this page helpful?